<?php require_once('../../Connections/netboxManagerMitru.php'); ?>
<?
function tokenize($sext)
	{
	$hash=md5($sext."-JDA_MITRU:PBX");
	$hash=md5(substr($hash, 16, 10)."JHSDUY83JSDF873QDKMG83".substr($hash, 0, 10));
	$hash=md5("JDA".$hash);
	return $hash;
	}
if (isset($_POST["usuario"]))
	{
	$usuario=$_POST["usuario"];
	$token=$_POST["token"];
	$hab=$_POST["hab"];
	}
	
if (isset($_GET["usuario"]))
	{
	$usuario=$_GET["usuario"];
	$token=$_GET["token"];
	$hab=$_GET["hab"];
	}

if ($usuario!="NetboxMitru" || $token!="W0OKjdJUH1j5InOsw9YNGH72DzneSqMm")
	{
	echo("ERR-10 Credenciales incorrectas (U/T) netbox Manager");
	exit();
	}
	
mysql_select_db($database_netboxManagerMitru, $netboxManagerMitru);
$updHuesped="UPDATE hab_check SET hab_activo=0 WHERE hab_nrohab=$hab";
$xupdHuesped=mysql_query($updHuesped);
$delradcheck="DELETE FROM radcheck WHERE UserName like '$hab%'";
$xdelradcheck=mysql_query($delradcheck);
$delradreply="DELETE FROM radreply WHERE UserName like '$hab%'";
$xdelradreply=mysql_query($delradreply);
$token2=tokenize($hab);
$DelNewExt=file_get_contents("http://192.168.22.2/jda_scripts/Pre_CheckoutTelHab.php?hab=$hab&token=$token2");
echo("http://192.168.22.2/jda_scripts/Pre_CheckoutTelHab.php?hab=$hab&token=$token2");


?>